Bug 71500 - EDITING: Table of Contents is Deleted Unintentionally
Summary: EDITING: Table of Contents is Deleted Unintentionally
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-11 15:23 UTC by Harald Koester
Modified: 2016-09-20 09:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2013-11-11 15:23:37 UTC
Problem description: 

Steps to reproduce:
[1] Open a new text document.
[2] Disable option “LibreOffice Writer → Formatting Aids → Cursor in protected areas“.
[3] Type in a word, then Enter.
[4] Insert a heading.
[5] Insert a protected (against manual changes) table of contents between the 2 paragraphs.
[6] Delete word in paragraph above table. 
[7] Delete empty paragraph in first line with “Del“. The empty paragraph and the table of contents is deleted. Expected: Only paragraph should be deleted.

Hint: I assume that the behaviour is equal with other indexes or tables which can be protected against manual changes, but I did not check it.

Operating System: Windows 7
Version: 4.1.2.3 release
Comment 1 sophie 2013-11-12 10:58:41 UTC
Confirmed, the index is deleted. Version: 4.1.3.2
Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a. Set as New, change plateform to all - Sophie
Comment 2 QA Administrators 2015-04-19 03:22:21 UTC Comment hidden (obsolete)
Comment 3 Geoffrey 2015-04-19 08:10:40 UTC
Actually, it's easy to understand :) Tested using LibreOffice 4.4.1.

You can remove the empty line between the word and the table of contents with del (on the line of the word).
You can remove the empty line with backspace (on the empty line)

You cannot remove the empty line with del on the empty line. If you do that, the table of contents is removed too.
Comment 4 QA Administrators 2016-09-20 09:24:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920